//----------------------------------------------------//
// Wide Studio Application C++ Source File            //
//            created by Wide Studio source generator //
//----------------------------------------------------//
#include <WScom.h>
#include <WSDappDev.h>

//--- OBJECT includes ---//
#include <WSCmainWindow.h>
#include <WSCvtimer.h>
#include <WSCverbList.h>
#include <WSCvudpsocket.h>

//--- OBJECT instance variable ---//
WSCmainWindow* newwin000;
WSCvtimer* newvtim_004;
WSCverbList* newverb_000;
WSCvudpsocket* newvudp_000;

//--- OBJECT src ---//

void _create_win_newwin000(){


	newwin000 = new  WSCmainWindow(NULL,"newwin000");
	newwin000->initialize();
	newwin000->setPropertyV(WSNname,"newwin000");
	newwin000->setPropertyV(WSNtitleString,"wsagent");
	newwin000->setPropertyV(WSNx,(short)100);
	newwin000->setPropertyV(WSNy,(short)100);
	newwin000->setPropertyV(WSNwidth,(unsigned short)400);
	newwin000->setPropertyV(WSNheight,(unsigned short)400);
	newwin000->setPropertyV(WSNvis,(WSCbool)1);
	WSCprocedure* op_newwin000_5 = new WSCprocedure("new_ep",0);
	extern void initop(WSCbase*);
	op_newwin000_5->setFunction(initop,"initop");
	newwin000->addProcedure(op_newwin000_5);

	newvtim_004 = new  WSCvtimer(newwin000,"newvtim_004");
	newvtim_004->initialize();
	newvtim_004->setPropertyV(WSNinterval,(unsigned long)10000);
	newvtim_004->setPropertyV(WSNrunning,(WSCbool)1);
	newvtim_004->setPropertyV(WSNname,"newvtim_004");
	newvtim_004->setPropertyV(WSNvis,(WSCbool)1);
	newvtim_004->setPropertyV(WSNx,(short)6);
	newvtim_004->setPropertyV(WSNy,(short)364);
	WSCprocedure* op_newvtim_004_5 = new WSCprocedure("new_ep",2);
	extern void timerop(WSCbase*);
	op_newvtim_004_5->setFunction(timerop,"timerop");
	newvtim_004->addProcedure(op_newvtim_004_5);

	newverb_000 = new  WSCverbList(newwin000,"newverb_000");
	newverb_000->initialize();
	newverb_000->setPropertyV(WSNfont,(unsigned char)8);
	newverb_000->setPropertyV(WSNtitleString,"IP,port,name");
	newverb_000->setPropertyV(WSNbarValue,"150,250");
	newverb_000->setPropertyV(WSNname,"newverb_000");
	newverb_000->setPropertyV(WSNx,(short)5);
	newverb_000->setPropertyV(WSNy,(short)5);
	newverb_000->setPropertyV(WSNwidth,(unsigned short)390);
	newverb_000->setPropertyV(WSNheight,(unsigned short)375);
	newverb_000->setPropertyV(WSNvis,(WSCbool)1);
	newverb_000->setPropertyV(WSNanchorTop,(unsigned short)5);
	newverb_000->setPropertyV(WSNanchorBottom,(unsigned short)20);
	newverb_000->setPropertyV(WSNanchorLeft,(unsigned short)5);
	newverb_000->setPropertyV(WSNanchorRight,(unsigned short)5);
	newverb_000->setPropertyV(WSNanchorTopFlag,(WSCbool)1);
	newverb_000->setPropertyV(WSNanchorBottomFlag,(WSCbool)1);
	newverb_000->setPropertyV(WSNanchorLeftFlag,(WSCbool)1);
	newverb_000->setPropertyV(WSNanchorRightFlag,(WSCbool)1);

	newvudp_000 = new  WSCvudpsocket(newwin000,"newvudp_000");
	newvudp_000->initialize();
	newvudp_000->setPropertyV(WSNport,(unsigned short)9006);
	newvudp_000->setPropertyV(WSNname,"newvudp_000");
	newvudp_000->setPropertyV(WSNvis,(WSCbool)1);
	newvudp_000->setPropertyV(WSNx,(short)111);
	newvudp_000->setPropertyV(WSNy,(short)364);
	WSCprocedure* op_newvudp_000_5 = new WSCprocedure("new_ep",2);
	extern void udp_read(WSCbase*);
	op_newvudp_000_5->setFunction(udp_read,"udp_read");
	newvudp_000->addProcedure(op_newvudp_000_5);

   newwin000->setVisible(True);
}

//--- end of src ---//
